For AI agents: the complete documentation index is available at https://docs.snaptrade.com/llms.txt, and the full documentation text is available at https://docs.snaptrade.com/llms-full.txt. Markdown versions of documentation pages are available by appending .md to the URL path.
View as Markdown
Account Information

List account holdings

get
https://api.snaptrade.com/accounts/{accountId}/holdings

Deprecated. Use the finer-grained account data endpoints instead: balances, positions, and orders.

This endpoint will return HTTP 410 Gone for all customers that sign up after May 11, 2026.

Returns a list of balances, positions, and recent orders for the specified account.

Check your API key on the Customer Dashboard billing page to see if you have real-time data access:

  • If you do, this endpoint returns real-time data.
  • If you don't, Daily data is cached and refreshed once a day. Exact refresh timing may vary by brokerage. If you need real-time, use the manual refresh endpoint.

If the connection has become disabled, it can no longer access the latest data from the brokerage, but will continue to return the last available cached state. Please see this guide on how to fix a disabled connection.

Execute an API Request

Authentication Method

Use commercial authentication when acting on behalf of your application and passing end-user credentials with requests that require them.

Credentials
Path
accountIdstring (format: uuid)required

Unique identifier for the connected brokerage account. This is the UUID used to reference the account in SnapTrade.

Request
Installation
$
npm install snaptrade-typescript-sdk
1
import {
2
Snaptrade,
3
SnaptradeAuth,
4
} from "snaptrade-typescript-sdk";
5
6
const snaptrade = new Snaptrade({
7
auth: SnaptradeAuth.commercialApiKey({
8
consumerKey: "CONSUMER_KEY",
9
clientId: "CLIENT_ID",
10
}),
11
});
12
13
const response =
14
await snaptrade.accountInformation.getUserHoldings(
15
{
16
accountId:
17
"917c8734-8470-4a3e-a18f-57c3f2ee6631",
18
userId: "USER_ID",
19
userSecret: "USER_SECRET",
20
},
21
);
22
console.log(response.data);

Response fields

object

A wrapper object containing holdings information for a single account.

accountobject

A single account at a brokerage.

balancesarray of objects or null

List of balances for the account. Each element of the list has a distinct currency. Some brokerages like Questrade allows holding multiple currencies in the same account.

positionsarray of objects or null

List of stock/ETF/crypto/mutual fund positions in the account.

option_positionsarray of objects or null

List of option positions in the account.

ordersarray of objects or null

List of recent orders in the account, including both pending and executed orders. Note that option orders are included in this list. Option orders will have a null universal_symbol field and a non-null option_symbol field.

This field is deprecated. To get the brokerage reported total market value of the account, please refer to account.balance.total.

The total market value of the account. Note that this field is calculated based on the sum of the values of account positions and cash balances known to SnapTrade. It may not be accurate if the brokerage account has holdings that SnapTrade is not aware of. For example, if the brokerage account holds assets that SnapTrade does not support, the total value may be underreported. In certain cases, this value may also be double-counting cash-equivalent assets if those assets are represented as both cash and positions in the account.

1
{
2
"account": {
3
"id": "917c8734-8470-4a3e-a18f-57c3f2ee6631",
4
"brokerage_authorization": "87b24961-b51e-4db8-9226-f198f6518a89",
5
"name": "Robinhood Individual",
6
"number": "Q6542138443",
7
"institution_account_id": "54953432",
8
"institution_name": "Robinhood",
9
"created_date": "2024-07-23T22:50:22.761Z",
10
"funding_date": "2024-07-25T12:00:00.000Z",
11
"opening_date": "2024-07-20T09:30:00.000Z",
12
"sync_status": {
13
"transactions": {
14
"initial_sync_completed": true,
15
"last_successful_sync": "2022-01-24T00:00:00.000Z",
16
"first_transaction_date": "2022-01-24T00:00:00.000Z"
17
},
18
"holdings": {
19
"initial_sync_completed": true,
20
"last_successful_sync": "2024-06-28T18:42:46.561Z",
21
"holdings_unavailable": true
22
}
23
},
24
"balance": {
25
"total": {
26
"amount": 15363.23,
27
"currency": "USD"
28
}
29
},
30
"status": "open",
31
"raw_type": "Margin",
32
"account_category": "INVESTMENT",
33
"meta": {
34
"type": "Margin",
35
"status": "ACTIVE",
36
"institution_name": "Robinhood"
37
},
38
"portfolio_group": "2bcd7cc3-e922-4976-bce1-9858296801c3",
39
"cash_restrictions": [],
40
"is_paper": false
41
},
42
"balances": [
43
{
44
"currency": {
45
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
46
"code": "USD",
47
"name": "US Dollar"
48
},
49
"cash": 300.71,
50
"buying_power": 410.71
51
}
52
],
53
"positions": [
54
{
55
"symbol": {
56
"symbol": {
57
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
58
"symbol": "VAB.TO",
59
"raw_symbol": "VAB",
60
"description": "VANGUARD CDN AGGREGATE BOND INDEX ETF",
61
"currency": {
62
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
63
"code": "USD",
64
"name": "US Dollar"
65
},
66
"exchange": {
67
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
68
"code": "TSX",
69
"mic_code": "XTSE",
70
"name": "Toronto Stock Exchange",
71
"timezone": "America/New_York",
72
"start_time": "09:30:00",
73
"close_time": "16:00:00",
74
"suffix": ".TO"
75
},
76
"type": {
77
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
78
"code": "cs",
79
"description": "Common Stock",
80
"is_supported": true
81
},
82
"figi_code": "BBG000B9XRY4",
83
"figi_instrument": {
84
"figi_code": "BBG000B9Y5X2",
85
"figi_share_class": "BBG001S5N8V8"
86
},
87
"currencies": [
88
{
89
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
90
"code": "USD",
91
"name": "US Dollar"
92
}
93
]
94
},
95
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
96
"description": "VANGUARD CDN AGGREGATE BOND INDEX ETF",
97
"local_id": "3291231",
98
"is_quotable": true,
99
"is_tradable": true
100
},
101
"units": 40,
102
"price": 113.15,
103
"open_pnl": 0.44,
104
"average_purchase_price": 108.3353,
105
"fractional_units": 1.44,
106
"currency": {
107
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
108
"code": "USD",
109
"name": "US Dollar"
110
},
111
"cash_equivalent": false,
112
"tax_lots": [
113
{
114
"original_purchase_date": "2022-01-15T10:30:00.000Z",
115
"quantity": "10",
116
"purchased_price": "100.50",
117
"cost_basis": "1005.00",
118
"current_value": "1200.00",
119
"position_type": "LONG",
120
"lot_id": "12345678"
121
}
122
]
123
}
124
],
125
"option_positions": [
126
{
127
"symbol": {
128
"option_symbol": {
129
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
130
"ticker": "AAPL 261218C00240000",
131
"option_type": "CALL",
132
"strike_price": 240,
133
"expiration_date": "2026-12-18T00:00:00.000Z",
134
"is_mini_option": false,
135
"underlying_symbol": {
136
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
137
"symbol": "SPY",
138
"raw_symbol": "VAB",
139
"description": "SPDR S&P 500 ETF Trust",
140
"currency": {
141
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
142
"code": "USD",
143
"name": "US Dollar"
144
},
145
"exchange": {
146
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
147
"code": "ARCX",
148
"mic_code": "ARCA",
149
"name": "NYSE ARCA",
150
"timezone": "America/New_York",
151
"start_time": "09:30:00",
152
"close_time": "16:00:00",
153
"suffix": "None",
154
"allows_cryptocurrency_symbols": false
155
},
156
"type": {
157
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
158
"code": "cs",
159
"description": "Common Stock",
160
"is_supported": true
161
},
162
"figi_code": "BBG000B9XRY4",
163
"figi_instrument": {
164
"figi_code": "BBG000B9Y5X2",
165
"figi_share_class": "BBG001S5N8V8"
166
},
167
"currencies": [
168
{
169
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
170
"code": "USD",
171
"name": "US Dollar"
172
}
173
]
174
}
175
},
176
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
177
"description": "SPY CALL 7/17 200"
178
},
179
"price": 38.4,
180
"units": -50,
181
"average_purchase_price": 4126,
182
"currency": {
183
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
184
"code": "USD",
185
"name": "US Dollar"
186
}
187
}
188
],
189
"orders": [
190
{
191
"brokerage_order_id": "66a033fa-da74-4fcf-b527-feefdec9257e",
192
"brokerage_group_order_id": "1234567890",
193
"order_role": "TRIGGER",
194
"status": "NONE",
195
"universal_symbol": {
196
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
197
"symbol": "VAB.TO",
198
"raw_symbol": "VAB",
199
"description": "VANGUARD CDN AGGREGATE BOND INDEX ETF",
200
"currency": {
201
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
202
"code": "USD",
203
"name": "US Dollar"
204
},
205
"exchange": {
206
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
207
"code": "TSX",
208
"mic_code": "XTSE",
209
"name": "Toronto Stock Exchange",
210
"timezone": "America/New_York",
211
"start_time": "09:30:00",
212
"close_time": "16:00:00",
213
"suffix": ".TO"
214
},
215
"type": {
216
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
217
"code": "cs",
218
"description": "Common Stock",
219
"is_supported": true
220
},
221
"figi_code": "BBG000B9XRY4",
222
"figi_instrument": {
223
"figi_code": "BBG000B9Y5X2",
224
"figi_share_class": "BBG001S5N8V8"
225
},
226
"currencies": [
227
{
228
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
229
"code": "USD",
230
"name": "US Dollar"
231
}
232
]
233
},
234
"option_symbol": {
235
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
236
"ticker": "AAPL 261218C00240000",
237
"option_type": "CALL",
238
"strike_price": 240,
239
"expiration_date": "2026-12-18T00:00:00.000Z",
240
"is_mini_option": false,
241
"underlying_symbol": {
242
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
243
"symbol": "SPY",
244
"raw_symbol": "VAB",
245
"description": "SPDR S&P 500 ETF Trust",
246
"currency": {
247
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
248
"code": "USD",
249
"name": "US Dollar"
250
},
251
"exchange": {
252
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
253
"code": "ARCX",
254
"mic_code": "ARCA",
255
"name": "NYSE ARCA",
256
"timezone": "America/New_York",
257
"start_time": "09:30:00",
258
"close_time": "16:00:00",
259
"suffix": "None",
260
"allows_cryptocurrency_symbols": false
261
},
262
"type": {
263
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
264
"code": "cs",
265
"description": "Common Stock",
266
"is_supported": true
267
},
268
"figi_code": "BBG000B9XRY4",
269
"figi_instrument": {
270
"figi_code": "BBG000B9Y5X2",
271
"figi_share_class": "BBG001S5N8V8"
272
},
273
"currencies": [
274
{
275
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
276
"code": "USD",
277
"name": "US Dollar"
278
}
279
]
280
}
281
},
282
"quote_universal_symbol": {
283
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
284
"symbol": "VAB.TO",
285
"raw_symbol": "VAB",
286
"description": "VANGUARD CDN AGGREGATE BOND INDEX ETF",
287
"currency": {
288
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
289
"code": "USD",
290
"name": "US Dollar"
291
},
292
"exchange": {
293
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
294
"code": "TSX",
295
"mic_code": "XTSE",
296
"name": "Toronto Stock Exchange",
297
"timezone": "America/New_York",
298
"start_time": "09:30:00",
299
"close_time": "16:00:00",
300
"suffix": ".TO"
301
},
302
"type": {
303
"id": "2bcd7cc3-e922-4976-bce1-9858296801c3",
304
"code": "cs",
305
"description": "Common Stock",
306
"is_supported": true
307
},
308
"figi_code": "BBG000B9XRY4",
309
"figi_instrument": {
310
"figi_code": "BBG000B9Y5X2",
311
"figi_share_class": "BBG001S5N8V8"
312
},
313
"currencies": [
314
{
315
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
316
"code": "USD",
317
"name": "US Dollar"
318
}
319
]
320
},
321
"quote_currency": {
322
"id": "87b24961-b51e-4db8-9226-f198f6518a89",
323
"code": "USD",
324
"name": "US Dollar"
325
},
326
"action": "string",
327
"total_quantity": "100",
328
"open_quantity": "10",
329
"canceled_quantity": "10",
330
"filled_quantity": "80",
331
"execution_price": "12.34",
332
"limit_price": "12.34",
333
"stop_price": "12.50",
334
"trailing_stop": {
335
"amount": "0.60",
336
"type": "DOLLAR"
337
},
338
"order_type": "Market",
339
"time_in_force": "string",
340
"time_placed": "2024-07-30T22:51:49.746Z",
341
"time_updated": "2024-08-05T00:05:57.409Z",
342
"time_executed": "2024-08-05T00:05:57.409Z",
343
"expiry_date": "2024-08-05T00:05:57.409Z",
344
"symbol": "2bcd7cc3-e922-4976-bce1-9858296801c3",
345
"child_brokerage_order_ids": {
346
"take_profit_order_id": "12345678",
347
"stop_loss_order_id": "12345678"
348
}
349
}
350
],
351
"total_value": {
352
"value": 32600.71,
353
"currency": "USD"
354
}
355
}